package kieker.webgui.converter;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;
import kieker.analysis.model.analysisMetaModel.MIProject;

/**
 * This converter can be used to convert an instance of <i>MIProject</i> to a human readable string, but <b>not</b> vice versa.
 * 
 * @author Nils Christian Ehmke
 */
@FacesConverter(value = MIProjectToStringConverter.NAME)
public class MIProjectToStringConverter implements Converter {

	public static final String NAME = "kieker.webgui.converter.MIProjectToStringConverter";
	/**
	 * Delivers always null
	 */
	@Override
	public Object getAsObject(FacesContext fc, UIComponent uic, String string) {
		return null;
	}

	@Override
	public String getAsString(FacesContext fc, UIComponent uic, Object o) {
		return (o == null || !(o instanceof MIProject)) ? null : ((MIProject) o).getName();
	}
}
